<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Overtime Approval Setting</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Position
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Master Data</li>
        <li class="active"> Position</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-6">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="box">
                <form method="get">
                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <h3 class="box-title">List of Position</h3>
                            </div>
                            <div class="col-md-6" align="right">
                                Show entries <span sd:page-size-selector="javascript"></span>
                            </div>
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <a th:href="@{/masterdata/position/new}" name="tambah" type="button" class="btn btn-block btn-default">+ NEW POSITION</a>
                                </div>
                            </div>



                            <div class="col-md-6" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>
                <!-- /.box-header -->


                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Code</th>
                            <th>Name</th>
                            <th>Dept</th>
                            <th>Approval</th>
                        </tr>
                        <tr th:each="dataPosition,row : ${listPosition}">
                            <td th:text="${(row.index + 1) + (listPosition.number * listPosition.size)}">1.</td>

                            <td th:text="${dataPosition.positionCode}">BEASISWA</td>
                            <td >
                                <span th:text="${dataPosition.positionName}"></span>
                                <a class="btn btn-xs btn-primary" th:href="@{/setting/overtime_approval/new(position = ${dataPosition.id})}" title="Add Approval">+</a>
                            </td>
                            <td th:text="${dataPosition.department.departmentName}"></td>
                            <td>
                                <table class="table table-bordered">
                                    <tr th:each="dataOvertimeApprovalSetting,row : ${listOvertimeApprovalSetting}">
                                        <td th:if="${dataPosition.id == dataOvertimeApprovalSetting.position.id}" th:text="${dataOvertimeApprovalSetting.sequence}">
                                        </td>
                                        <td th:if="${dataPosition.id == dataOvertimeApprovalSetting.position.id}" th:text="${dataOvertimeApprovalSetting.positionApprove.positionName}">
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Code</th>
                            <th>Name</th>
                            <th>Dept</th>
                            <th>Approval</th>
                        </tr>


                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                        <li class="disabled"><a href="#" aria-label="Previous"><span
                                aria-hidden="true">&laquo;</span></a>
                        </li>
                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                        </li>
                    </ul>
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
</body>
</html>